diff -ur file-5.28/configure.ac patches/configure.ac
--- file-5.28/configure.ac	2012-02-21 20:16:29.000000000 +0100
+++ patches/configure.ac	2012-04-07 13:41:59.524035758 +0200
@@ -175,4 +175,17 @@
 fi

 AC_CONFIG_FILES([Makefile src/Makefile magic/Makefile tests/Makefile doc/Makefile python/Makefile])
+
+AC_ARG_WITH(rpltools,
+[  --with-rpltools         specify rpltools path used for cross compilation],[
+if test "$with_rpltools" = "no" -o "$with_rpltools" = yes; then
+       AC_MSG_ERROR([You have to specify rpltools path !])
+else
+       RPLTOOLS=$with_rpltools/tools/file-5.11/src/
+fi],[
+       RPLTOOLS=
+       ]
+)
+AC_SUBST(RPLTOOLS)
+
 AC_OUTPUT
diff -ur file-5.28/magic/Makefile.am patches/magic/Makefile.am
--- file-5.28/magic/Makefile.am	2012-01-27 02:41:26.000000000 +0100
+++ patches/magic/Makefile.am	2012-04-07 13:42:43.583983270 +0200
@@ -295,10 +295,10 @@
 # FIXME: Build file natively as well so that it can be used to compile
 # the target's magic file; for now we bail if the local version does not match
 if IS_CROSS_COMPILE
-FILE_COMPILE = file${EXEEXT}
+FILE_COMPILE = @RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP =
 else
-FILE_COMPILE = $(top_builddir)/src/file${EXEEXT}
+FILE_COMPILE = $(top_builddir)/src/@RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP = $(FILE_COMPILE)
 endif
